## org.apache.batik.bridge
Class NoLoadExternalResourceSecurity

    java.lang.Object
      org.apache.batik.bridge.NoLoadExternalResourceSecurity

All Implemented Interfaces:
  ExternalResourceSecurity

public class NoLoadExternalResourceSecurity
extends java.lang.Object
implements ExternalResourceSecurity

This implementation does not allow any external resources to be referenced from an SVG document.

Field Summary
`static java.lang.String` `ERROR_NO_EXTERNAL_RESOURCE_ALLOWED` Message when trying to load an external resource
`protected java.lang.SecurityException` `se` The exception is built in the constructor and thrown if not null and the checkLoadExternalResource method is called.

Constructor Summary
`NoLoadExternalResourceSecurity()`

Method Summary
`void` `checkLoadExternalResource()` Controls whether the external resource should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_NO_EXTERNAL_RESOURCE_ALLOWED

    public static final java.lang.String ERROR_NO_EXTERNAL_RESOURCE_ALLOWED

  Message when trying to load an external resource

  See Also:
    Constant Field Values

### se

    protected java.lang.SecurityException se

  The exception is built in the constructor and thrown if not null and the checkLoadExternalResource method is called.

Constructor Detail

### NoLoadExternalResourceSecurity

    public NoLoadExternalResourceSecurity()

Method Detail

### checkLoadExternalResource

    public void checkLoadExternalResource()

  Controls whether the external resource should be loaded or not.

  Specified by:
    `checkLoadExternalResource` in interface `ExternalResourceSecurity`
  Throws:
    `java.lang.SecurityException` - if the externalResource should not be loaded.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.